"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var WidgetBase_1 = require("@dojo/framework/core/WidgetBase");
var vdom_1 = require("@dojo/framework/core/vdom");
var css = require("./index.m.css");
var c = require("bootstrap-classes");
var TextInput = /** @class */ (function (_super) {
    tslib_1.__extends(TextInput, _super);
    function TextInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TextInput.prototype.render = function () {
        var _a = this.properties, _b = _a.value, value = _b === void 0 ? "" : _b, onValue = _a.onValue;
        return (vdom_1.tsx("input", { key: "root", classes: [css.root, c.form_control], value: value, oninput: function (event) {
                event.stopPropagation();
                var value = event.target.value;
                onValue && onValue(value);
            } }));
    };
    return TextInput;
}(WidgetBase_1.default));
exports.default = TextInput;

/*# sourceMappingURL=index.js.map*/