"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var WidgetBase_1 = require("@dojo/framework/core/WidgetBase");
var vdom_1 = require("@dojo/framework/core/vdom");
var jp = require("jsonpath");
var PageData = /** @class */ (function (_super) {
    tslib_1.__extends(PageData, _super);
    function PageData() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PageData.prototype.render = function () {
        var _a = this.properties, jsonData = _a.jsonData, _b = _a.jsonPath, jsonPath = _b === void 0 ? "" : _b;
        if (!jsonData || jsonPath.trim() === "") {
            return vdom_1.tsx("virtual", null);
        }
        console.log(jsonData, jsonPath);
        var value = jp.value(jsonData, jsonPath) || "";
        console.log(value);
        return vdom_1.tsx("virtual", null, "{" + jsonPath + "}: " + value);
    };
    return PageData;
}(WidgetBase_1.default));
exports.default = PageData;

/*# sourceMappingURL=index.js.map*/