import WidgetBase from "@dojo/framework/core/WidgetBase";
import { tsx } from "@dojo/framework/core/vdom";
import * as jp from "jsonpath";
export default class PageData extends WidgetBase {
    render() {
        const { jsonData, jsonPath = "" } = this.properties;
        if (!jsonData || jsonPath.trim() === "") {
            return tsx("virtual", null);
        }
        console.log(jsonData, jsonPath);
        const value = jp.value(jsonData, jsonPath) || "";
        console.log(value);
        return tsx("virtual", null, `{${jsonPath}}: ${value}`);
    }
}

/*# sourceMappingURL=index.mjs.map*/